package com.bxzk.afxj.DaggerComponent;

import android.content.Context;


import com.bxzk.afxj.util.SPUtils;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;

@Module
public class BaseModule {
    private Context context;
    public BaseModule(Context context) {
        this.context = context;
    }

    @Singleton
    @Provides
    public SPUtils providerSpUtils (Context context) {
        return new SPUtils(context);
    }

    @Singleton
    @Provides
    public Context provierContext() {
        return context;
    }



/*
    @Singleton
    @Provides
    LginData provideLgin() {
        return new LginData();
    }*/
}
